function RecordUtil() {
}

RecordUtil.getRecordValueWithUnit = function(record, appID) {
	var recordValue = RecordUtil.getRecordValueText(record, appID);
	var recordUnit = RecordUtil.getRecordUnit(appID);

	return recordValue + recordUnit;
}

RecordUtil.getRecordValueText = function(record, appID) {
	if(appID == 104 || appID == 105)
		return record.toFixed(2);
	else
		return NumberUtil.numberWithCommas(Math.floor(record));
}

RecordUtil.getRecordUnit = function(appID) {
	var appIDValue = Number(appID);
	// console.log(appIDValue);
	if(appIDValue === 104 || appIDValue === 105)	// 104 : dodge, 105 : one to fifty
		return " 초";
	else if(appIDValue === 52 || appIDValue === 53)	// word flyingsaucer
		return " 점";
	else if(appIDValue < 100 || appIDValue === 200)	// typing
		return " 타";
	else
		return " 점";
}